package main

import (
	"log"
	"onvif-agent/config"
	"onvif-agent/integration/zabbixagent"
)

func main() {
	/**
	 * Load config
	 */
	if err := config.LoadConfig(); err != nil {
		log.Fatalf("Error loading config: %v", err)
	}

	/**
	 * Web server
	 */
	//go func() {
	//	r := gin.Default()
	//
	//	router.SetupRoutes(r)
	//
	//	addr := fmt.Sprintf("%s:%d", config.Conf.Server.Host, config.Conf.Server.Port)
	//	if err := r.Run(addr); err != nil {
	//		fmt.Println("Failed to start server:", err)
	//	}
	//}()

	/**
	 * Zabbix agent
	 */
	//go func() {
	zabbixagent.Run()
	//}()

	//select {}
}
